APPLE_DUMP(1)

NAME
apple_dump - Dump AppleSingle/AppleDouble format data

SYNOPSIS

apple_dump [-a] [FILE | DIR]

apple_dump -e FILE | DIR

apple_dump -f [FILE]

apple_dump -d [FILE]

apple_dump -h | -help | --help

apple_dump -v | -version | --version

DESCRIPTION

apple_dump dumps AppleSingle/AppleDouble format data.

It can dump various AppleSingle/AppleDouble data created by mailers, archivers, Mac OS X, Netatalk and so on.

With no FILE|DIR, or when FILE|DIR is '-', read standard input.

OPTIONS

-a [FILE|DIR]
    This is the default. Dump AppleSingle/AppleDouble data for FILE or DIR automatically. If FILE is not in AppleSingle/AppleDouble format, look for extended attributes, .AppleDouble/FILE and ._FILE. If DIR, look for extended attributes, DIR/.AppleDouble/.Parent and ._DIR.

-e FILE|DIR
    Dump extended attributes of FILE or DIR.

-f [FILE]
    Dump FILE. Assume FinderInfo to be FileInfo.

-d [FILE]
    Dump FILE. Assume FinderInfo to be DirInfo.

-h, -help, --help
    Display the help and exit

-v, -version, --version
    Show version and exit

NOTE

There is no way to detect whether FinderInfo is FileInfo or DirInfo. By default, apple_dump examines whether the file, directory or parent directory is .AppleDouble, filename is ._*, filename is .Parent, and so on.

When setting option -e, -f or -d, assume FinderInfo and don't look for other data.

SEE ALSO

ad(1), getfattr(1), attr(1), runat(1), getextattr(8), lsextattr(8)

AUTHOR

See CONTRIBUTORS[1]

NOTES

1.  CONTRIBUTORS
    https://github.com/Netatalk/netatalk/blob/main/CONTRIBUTORS